## GeditAppActivatable GeditAppActivatable — Interface for activatable extensions on apps |

## Functions

void | gedit_app_activatable_activate ()
void | gedit_app_activatable_deactivate ()
GeditMenuExtension * | gedit_app_activatable_extend_menu ()

## Properties

GeditApp * | app | Read / Write / Construct Only

## Types and Values

| GeditAppActivatable
struct | GeditAppActivatableInterface

## Object Hierarchy

        GInterface
        ╰── GeditAppActivatable

## Prerequisites

GeditAppActivatable requires GObject.

## Description

GeditAppActivatable is an interface which should be implemented by extensions that should be activated on a GeditApp.

## Functions

### gedit_app_activatable_activate ()

    void
    gedit_app_activatable_activate (GeditAppActivatable *activatable);

Activates the extension on the application.

#### Parameters

activatable | a GeditAppActivatable. |

### gedit_app_activatable_deactivate ()

    void
    gedit_app_activatable_deactivate (GeditAppActivatable *activatable);

Deactivates the extension from the application.

#### Parameters

activatable | a GeditAppActivatable. |

### gedit_app_activatable_extend_menu ()

    GeditMenuExtension *
    gedit_app_activatable_extend_menu (GeditAppActivatable *activatable,
                                       const gchar *extension_point);

Gets the GeditMenuExtension for the menu `extension_point` . Note that the extension point could be in different menus (gear menu, app menu, etc) depending on the platform.

#### Parameters

activatable | a GeditAppActivatable. |
extension_point | the extension point section of the menu to get. |

#### Returns

a GeditMenuExtension for the specific section or `NULL` if not found.

[transfer full]

## Types and Values

### GeditAppActivatable

    typedef struct _GeditAppActivatable GeditAppActivatable;

### struct GeditAppActivatableInterface

    struct GeditAppActivatableInterface {
    	GTypeInterface parent_interface;

    	void (*activate) (GeditAppActivatable *activatable);

    	void (*deactivate) (GeditAppActivatable *activatable);
    };

The virtual function table for GeditAppActivatable.

#### Members

GTypeInterface `parent_interface`; | The parent interface. |
`activate` () | The virtual function pointer for `gedit_app_activatable_activate()`. |
`deactivate` () | The virtual function pointer for `gedit_app_activatable_deactivate()`. |

## Property Details

### The `“app”` property

      “app”                      GeditApp *

The GeditApp.

Owner: GeditAppActivatable

Flags: Read / Write / Construct Only

## See Also

PeasExtensionSet